
package com.kingdee.eas.custom.hireapproval.web;

import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;

import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.MetaDataPK;
import com.kingdee.bos.waf.annotation.IBOSBizCtrl;
import com.kingdee.bos.waf.winlet.list.ListBean;
import com.kingdee.eas.framework.ICoreBase;
import com.kingdee.bos.waf.action.AbstractWebAction;
import javax.faces.event.AbortProcessingException;
import org.operamasks.faces.component.action.ActionEvent;
import com.kingdee.bos.waf.winlet.BaseBean;
import org.operamasks.faces.annotation.Accessible;
import org.operamasks.faces.annotation.Action;
import com.kingdee.eas.custom.hireapproval.IOAHireSalaryData;


public abstract class AbstractOAHireSalaryDataListUIBean extends com.kingdee.bos.waf.winlet.list.ListBean {


	@IBOSBizCtrl
	protected IOAHireSalaryData service;


	public AbstractOAHireSalaryDataListUIBean() {
		super();
	}
		
	
	@Override
	protected String getEditBeanName() {
    	
    	return "custom.hireapproval.OAHireSalaryDataEditUIBean";
    	
	}

	@Override
	protected String getEditUrl() {
		
    	return "/custom/hireapproval/oAHireSalaryDataEditUI.jsf";
    	
	}

	@Override
	protected ICoreBase getBizInterface() {
		return service;
	}
	
	@Override
	public IMetaDataPK getMetaDataPK() {
		return new MetaDataPK("com.kingdee.eas.custom.hireapproval.web.OAHireSalaryDataListUI");
	}

	@Override
	protected IMetaDataPK getQueryPK() {
		return new MetaDataPK("com.kingdee.eas.custom.hireapproval.app.OAHireSalaryDataQuery");
	}
	
	@Override
	protected String getEntryPKName() {
	
				return "entrys.id";
	
	}
			
}

